Bug 121113 - Web interface reports error
Web interface reports error
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-17 08:25 EDT by Kees
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-18 08:28:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kees 2004-04-17 08:25:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
My subversion repository works fine. But I tried to get the web
interface working, that's where I get stuck.

This is my /etc/httpd/conf.d/subversion.conf:

LoadModule dav_svn_module     modules/mod_dav_svn.so
LoadModule authz_svn_module   modules/mod_authz_svn.so
 
#
# Example configuration to enable HTTP access for a Subversion
# repository, "/home/svnroot".  This repository must be readable
# and writable by the 'apache' user.
#
 
<Location /svn/repos>
   DAV svn
   SVNPath /home/kvdb/repos
</Location>

I did: chmod 777 /home/kvdb/repos -R
This is what I type in my webbrowser: http://127.0.0.1/svn/repos
This is the error I get:

<D:error>
<C:error/>
<m:human-readable errcode="13">
Could not open the requested SVN filesystem
</m:human-readable>
</D:error>

[root@t-7-182 conf.d]# rpm -q subversion
subversion-1.0.1-1

Hope this is enough detail?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. See above
2.
3.
    

Additional info:
Comment 1 Joe Orton 2004-04-18 08:25:38 EDT
What does the error_log say?  If using multiple access methods to the
SVN repos, it's important to get the permissions correct: a simple
chown -R is not sufficient; see:

file:///usr/share/doc/subversion-1.0.1/book.html#svn-ch-6-sect-5
Comment 2 Joe Orton 2004-04-18 08:28:57 EDT
Or try users@subversion.tigris.org for help with basic repos admin.

Note You need to log in before you can comment on or make changes to this bug.